import { getStyle as o, disabledDate as r } from "./f2000b8a.js";
import { useUIView as d } from "./6aa2c0e1.js";
import { b9 as c, bg as m, V as a, d4 as n, f6 as s } from "./684d2f28.js";
import f, { useContext as D } from "react";
import "./d6402597.js";
import "react-dom";
const h = c(s)`
  width: 100%;
  ${(e) => e.$style && o(e.$style)}
`, y = f.lazy(() => import("./0071d431.js").then((e) => ({
  default: e.DateMobileUIView
}))), g = (e) => {
  const t = D(m), i = Array.isArray(e.placeholder) ? e.placeholder[0] : e.placeholder;
  return d(/* @__PURE__ */ a(y, {
    ...e
  }), /* @__PURE__ */ a(h, {
    ...e,
    ref: e.viewRef,
    disabledDate: (l) => r(l, e.minDate, e.maxDate),
    picker: "date",
    inputReadOnly: n(t == null ? void 0 : t.getAppSettings().maxWidth),
    placeholder: i
  }));
};
export {
  g as DateUIView
};
